Bug 784596 - Review Request: jabref - Graphical frontend to manage BibTeX bibliographical databases
Summary: Review Request: jabref - Graphical frontend to manage BibTeX bibliographical ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marek Goldmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 784591 784592 784593 784594 785694
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-25 13:59 UTC by Mary Ellen Foster
Modified: 2012-06-12 00:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-12 00:29:05 UTC
Type: ---
mgoldman: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mary Ellen Foster 2012-01-25 13:59:39 UTC
Spec URL: http://mef.fedorapeople.org/packages/jabref/jabref.spec
SRPM URL: http://mef.fedorapeople.org/packages/jabref/jabref-2.8-0.1.b.fc16.src.rpm

Description:
JabRef is a graphical front-end to manage BibTeX databases, the standard
LaTeX bibliography reference format. JabRef is build to be platform
independent (requires Java >= 1.4.2). It merges and extends the
functionalities of BibKeeper (Morten O. Alver) and JBibtexManager (Nizar
Batada).

Comment 1 Mary Ellen Foster 2012-01-25 15:06:32 UTC
Updated package:
- Remove clean section and unnecessary permissions on shell script
- Remove classpath from jar manifest

http://mef.fedorapeople.org/packages/jabref/jabref-2.8-0.2.b.fc16.src.rpm

Comment 2 Mary Ellen Foster 2012-01-30 11:35:26 UTC
- Update after looking at Debian package:
  - Use separately packaged JPFCodeGen library
  - Add man page
  - Add file argument to Exec line in desktop file

http://mef.fedorapeople.org/packages/jabref/jabref-2.8-0.3.b.fc16.src.rpm

Comment 3 Mary Ellen Foster 2012-02-13 11:21:35 UTC
Slight update to remove defattr line from files section

http://mef.fedorapeople.org/packages/jabref/jabref-2.8-0.4.b.fc16.src.rpm

Comment 5 Mary Ellen Foster 2012-04-02 14:48:52 UTC
Updated to use proper defaults for LibreOffice connectivity (at least on F16 -- must test on F17)

Still TODO: licensing of contributed style files
http://sourceforge.net/mailarchive/message.php?msg_id=29073114


Spec URL: http://mef.fedorapeople.org/packages/jabref/jabref.spec
SRPM URL:
http://mef.fedorapeople.org/packages/jabref/jabref-2.8-0.6.b2.fc17.src.rpm

Comment 6 Mary Ellen Foster 2012-04-10 09:08:23 UTC
Oops, no patches are actually needed for LibreOffice stuff to work right -- reverting to 0.5.b2

Licensing of style files is confirmed to be GPL

Spec URL: http://mef.fedorapeople.org/packages/jabref/jabref.spec
SRPM URL:
http://mef.fedorapeople.org/packages/jabref/jabref-2.8-0.5.b2.fc17.src.rpm

Comment 7 Mary Ellen Foster 2012-05-09 11:56:49 UTC
Updated to new JGoodies Looks/Forms API
Changed paths to point to 3.5.x LibreOffice installation directory

Spec URL: http://mef.fedorapeople.org/packages/jabref/jabref.spec
SRPM URL:
http://mef.fedorapeople.org/packages/jabref/jabref-2.8-0.6.b2.fc17.src.rpm

Comment 9 Marek Goldmann 2012-05-23 11:23:11 UTC
I'll take a look at this.

Comment 10 Marek Goldmann 2012-05-23 15:05:44 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:

$ rpmlint SPECS/jabref.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint SRPMS/jabref-2.8-1.fc17.src.rpm 
jabref.src: W: spelling-error Summary(en_US) frontend -> fronted, front end, front-end
jabref.src: W: spelling-error %description -l en_US functionalities -> functionalists, functionality, functionalist
jabref.src: W: spelling-error %description -l en_US Alver -> Elver, Alger, Aver
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

$ rpmlint RPMS/noarch/jabref-2.8-1.fc17.noarch.rpm 
jabref.noarch: W: spelling-error Summary(en_US) frontend -> fronted, front end, front-end
jabref.noarch: W: spelling-error %description -l en_US functionalities -> functionalists, functionality, functionalist
jabref.noarch: W: spelling-error %description -l en_US Alver -> Elver, Alger, Aver
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: GPLv2+ and BSD
[-]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[-]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : 5b267c36062babd7788aebaa6ff57b0b
MD5SUM upstream package: 5b267c36062babd7788aebaa6ff57b0b
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[x]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[!]  Javadoc documentation files are generated and included in -javadoc subpackage

See issue #1.

[-]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[-]  Javadoc subpackages have Require: jpackage-utils
[-]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[-]  If package contains pom.xml files install it (including depmaps) even when building with ant
[-]  pom files has correct add_maven_depmap

=== Maven ===
[-]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[-]  Package DOES NOT use %update_maven_depmap in %post/%postun
[-]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4096564

=== Issues ===
1. No javadocs subpackage? There is a "javadocs" target in the Ant file, please execute it and add the javadocs subpackage.

Comment 11 Mary Ellen Foster 2012-05-25 09:22:56 UTC
Looks good to me now. I can live with the patch names (would be nice if git format-patch could prepend a string to the file names)

APPROVED

Comment 12 Mary Ellen Foster 2012-05-25 10:14:22 UTC
Ignore that -- I'm not approving my own bug -- did this in the wrong place. :(

Comment 13 Mary Ellen Foster 2012-05-25 10:18:11 UTC
Updated:

- Add javadoc subpackage
- Use upstream patch to update jgoodies API
- Modify build.xml to point to system jars instead of using CLASSPATH

Spec URL: http://mef.fedorapeople.org/packages/jabref/jabref.spec
SRPM URL:
http://mef.fedorapeople.org/packages/jabref/jabref-2.8-2.fc17.src.rpm

Comment 14 Marek Goldmann 2012-05-25 10:46:46 UTC
Unfortunately, the package doesn't build now: http://koji.fedoraproject.org/koji/taskinfo?taskID=4100374

Comment 15 Mary Ellen Foster 2012-05-25 11:44:59 UTC
Argh, jgoodies packaging is funky at the moment ...

Went back to the old way of finding the CLASSPATH for ant:

Spec URL: http://mef.fedorapeople.org/packages/jabref/jabref.spec
SRPM URL:
http://mef.fedorapeople.org/packages/jabref/jabref-2.8-2.fc17.src.rpm

Comment 16 Mary Ellen Foster 2012-05-25 11:45:35 UTC
Bleagh, cut-and-paste error. Not having a good day today ...


Spec URL: http://mef.fedorapeople.org/packages/jabref/jabref.spec
SRPM URL:
http://mef.fedorapeople.org/packages/jabref/jabref-2.8-3.fc17.src.rpm

Comment 17 Mary Ellen Foster 2012-05-25 13:32:26 UTC
Fixed path to libreoffice jars on all build architectures

See https://www.redhat.com/archives/fedora-devel-list/2009-March/msg00022.html for a description of the problem

Spec URL: http://mef.fedorapeople.org/packages/jabref/jabref.spec
SRPM URL:
http://mef.fedorapeople.org/packages/jabref/jabref-2.8-4.fc17.src.rpm

Comment 18 Marek Goldmann 2012-05-28 09:34:13 UTC
Now it builds, thanks!

http://koji.fedoraproject.org/koji/taskinfo?taskID=4109712

================
*** APPROVED ***
================

Comment 19 Mary Ellen Foster 2012-05-28 09:35:47 UTC
New Package SCM Request
=======================
Package Name: jabref
Short Description: Graphical frontend to manage BibTeX bibliographical databases
Owners: mef
Branches: f17

Comment 20 Gwyn Ciesla 2012-05-29 12:28:34 UTC
Git done (by process-git-requests).

Comment 21 Fedora Update System 2012-06-01 09:12:33 UTC
jabref-2.8-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jabref-2.8-4.fc17

Comment 22 Fedora Update System 2012-06-02 03:52:48 UTC
jabref-2.8-4.fc17 has been pushed to the Fedora 17 testing repository.

Comment 23 Fedora Update System 2012-06-12 00:29:05 UTC
jabref-2.8-4.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.